### Method

# GtkSource MarkAttributes get_gicon

#### Declaration [src]

    GIcon*
    gtk_source_mark_attributes_get_gicon (
      GtkSourceMarkAttributes* attributes
    )

#### Description [src]

Gets a `GIcon` to be used as a base for rendered icon.

Note that the icon can be `NULL` if it wasn’t set earlier.

Gets property | `GtkSource.MarkAttributes:gicon`

#### Return value

Type: `GIcon`

An icon. The icon belongs to `attributes` and should not be unreffed.

The returned data is owned by the instance.